package com.sundot.airport.item.mapper;

import com.sundot.airport.item.domain.HkPersuadePowerBank;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

public interface HkPersuadePowerBankMapper {

    List<HkPersuadePowerBank> selectHkPersuadePowerBankList(HkPersuadePowerBank query);

    HkPersuadePowerBank selectHkPersuadePowerBankById(Long id);

    HkPersuadePowerBank selectHkPersuadePowerBankByDateAndSlot(@Param("recordDate") Date recordDate, @Param("timeSlot") String timeSlot);

    int insertHkPersuadePowerBank(HkPersuadePowerBank data);

    int updateHkPersuadePowerBank(HkPersuadePowerBank data);

    int deleteHkPersuadePowerBankByIds(Long[] ids);
}
